## javax.transaction.xa
Interface Xid

    public interface Xid

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Wed, 25 Oct 2006) $

Field Summary
`static int` `MAXBQUALSIZE`
`static int` `MAXGTRIDSIZE`

Method Summary
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`

Field Detail

### MAXGTRIDSIZE

    static final int MAXGTRIDSIZE

See Also:
  Constant Field Values

### MAXBQUALSIZE

    static final int MAXBQUALSIZE

See Also:
  Constant Field Values

Method Detail

### getBranchQualifier

    byte[] getBranchQualifier()

### getFormatId

    int getFormatId()

### getGlobalTransactionId

    byte[] getGlobalTransactionId()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.